ExchangeConnector (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeConnector interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeConnector

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeConnector

extends LogicalElement

Represents the Exchange Connector

Naming Rules:
  0="distinguishedName"
Persistable:
  true
Table Name:
  EXCHCON
Display Name:
  connectorName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getActiveDirectoryGUID()` The globally unique identifier (GUID) attribute of the connector in Microsoft Active Directory Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ConnectorState.GUID
`java.lang.String` | `getConnectorName()` The name of the connector Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ConnectorState.Name
`java.lang.String` | `getDistinguishedName()` The distinguished name of the connector Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ConnectorState.DN
`ExchangeRoutingGroup` | `getRoutingGroup()`
`boolean` | `hasActiveDirectoryGUID()`
`boolean` | `hasConnectorName()`
`boolean` | `hasDistinguishedName()`
`boolean` | `hasRoutingGroup()`
`void` | `setActiveDirectoryGUID(java.lang.String x)`
`void` | `setConnectorName(java.lang.String x)`
`void` | `setDistinguishedName(java.lang.String x)`
`void` | `setRoutingGroup(ExchangeRoutingGroup x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getActiveDirectoryGUID

    java.lang.String getActiveDirectoryGUID()
                                            throws AttributeNotSetException

  The globally unique identifier (GUID) attribute of the connector in Microsoft Active Directory Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ConnectorState.GUID

  Throws:
    `AttributeNotSetException`

### setActiveDirectoryGUID

    void setActiveDirectoryGUID(java.lang.String x)

### hasActiveDirectoryGUID

    boolean hasActiveDirectoryGUID()

### getRoutingGroup

    ExchangeRoutingGroup getRoutingGroup()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setRoutingGroup

    void setRoutingGroup(ExchangeRoutingGroup x)

### hasRoutingGroup

    boolean hasRoutingGroup()

### getDistinguishedName

    java.lang.String getDistinguishedName()
                                          throws AttributeNotSetException

  The distinguished name of the connector Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ConnectorState.DN

  Throws:
    `AttributeNotSetException`

### setDistinguishedName

    void setDistinguishedName(java.lang.String x)

### hasDistinguishedName

    boolean hasDistinguishedName()

### getConnectorName

    java.lang.String getConnectorName()
                                      throws AttributeNotSetException

  The name of the connector Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ConnectorState.Name

  Throws:
    `AttributeNotSetException`

### setConnectorName

    void setConnectorName(java.lang.String x)

### hasConnectorName

    boolean hasConnectorName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD